\begin{filecontents}{\jobname.bib}
@book{Saussure1995,
     Author = {Ferdinand de Saussure},
     Origyear = {1916},
     Publisher = {Payot},
     Title = {Cours de Linguistique G{\'e}n{\'e}rale},
     Year = {1995}}
 
@article{Sag1985,
     Author = {Ivan A Sag and G Gazdar and T Wasow and S Weisler},
     Journal = {Natural Language \& Linguistic Theory},
     Pages = {117-171},
     Title = {Coordination and How to Distinguish Categories},
     Volume = {3},
     Year = {1985}}
\end{filecontents}
 
\usetheme{EastLansing}
\usepackage{natbib}
\bibliographystyle{apalike}
% make bibliography entries smaller
\renewcommand\bibfont{\scriptsize}
% If you have more than one page of references, you want to tell beamer
% to put the continuation section label from the second slide onwards
\setbeamertemplate{frametitle continuation}[from second]
% Now get rid of all the colours
\setbeamercolor*{bibliography entry title}{fg=black}
\setbeamercolor*{bibliography entry author}{fg=black}
\setbeamercolor*{bibliography entry location}{fg=black}
\setbeamercolor*{bibliography entry note}{fg=black}
% and kill the abominable icon
\setbeamertemplate{bibliography item}{}